<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<style type="text/css">
<!--
td{
	font: 9pt "Arial";
    color: black;
}

a{
	font: 9pt "Arial";
    color: black;
}

input{
	font: 9pt "Arial";
    color: black;
}
//-->
</style>
<script type="text/javascript">
<!--
var wys=false;
||undef||wys||
||ifequal||_auto_wysiwyg||true||
	||define||wys||true||
	wys=true;
||else||
	||ifequal||msg_alternative||true||
		||define||wys||true||
		wys=true;
	||endif||
||endif||

function wys_update()
{
	if (wys) {
		window.parent.parent.frames[1].wys_update();
	}
}

function do_wys()
{
	wys_update();
	document.sendform.message.value = window.parent.frames[1].document.bodyform.message.value;
	if (wys) {
		document.sendform.cmd.value = "attach_msg";
		document.sendform.msg_alternative.value=""; 
	}
	else {
		document.sendform.cmd.value = "attach_msg";
		document.sendform.msg_alternative.value="true"; 	
	}
	parent.frames[1].itembody = "false";
	document.sendform.submit();
}


var loaded = false;
function newwindow(){
	msgWindow = open('||action||?cmd=addr_only&utoken=||putoken||&attach_id=||attach_id||&&','ADDRESSBOOK','width=470,height=150,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=yes','POPUP');
	msgWindow.opener = document;
	msgWindow.focus();
}

function getUID(){
	var now = new Date();
	var rnd = Math.random() + "";
	rnd = rnd.substring(0, rnd.indexOf('.')) + rnd.substring(rnd.indexOf('.')+1,rnd.length);
	return now.getMilliseconds() + "_" + rnd;
}

function openWindow(){
	var UID = getUID();
	window.open("||nwimg||/blank.htm",UID,'width=280,height=300,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no','POPUP');
	return UID;
}

function display_dictionary()
{
	document.sendform.xmessage.value = window.parent.message;
	document.sendform.cmd.value = "edit_dict";
	document.sendform.target = openWindow();
	document.sendform.submit();
}

function doDone(){
	wys_update();

	window.parent.frames[1].document.sendform.cmd.value = "attach_msg";
	||ifdef||isbulletin||
		window.parent.frames[1].document.sendform.page.value = "send_bullf";
		window.parent.frames[1].document.sendform.process.value = 'bulletin';
	||endif||
	window.parent.frames[1].document.sendform.submit();
}

||ifdef||netscape_version||
function hotkey(event){
//	alert(event.which);
	switch (event.which) {
||else||
function hotkey(event){
//	alert(event.keyCode);
	switch (event.keyCode) {
||endif||
	   case 10 : // Ctrl-Enter || Ctrl-Shift-J - return to message
			doDone();
			break;
	   default :
			break;
	}
}

function hotkeyoverload(){
	hotkey(event);
}

||ifdef||netscape_version||
	document.captureEvents(Event.KEYPRESS);
	document.onkeypress = hotkey;
||endif||

//-->
</script>

<title>View spelling mistakes</title>
</head>

<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||" onkeypress="hotkeyoverload();">

||ifdef||error||
	<center>
	<table border="1">		
		<tr>
			<td><img src="||nwimg||/attention.gif" alt="Attention" /></td>
			<td bgcolor="ffffff">||error||</td>
		</tr>
	</table>
	</center>
||endif||

<form name="sendform" method="post" action="||action||" enctype="multipart/form-data" onsubmit="read_message();">
<input type="hidden" name="pgp_type" value="||pgp_type||" />
<input type="hidden" name="valid_max" value="||valid_max||" />
<input type="hidden" name="valid_users" value="||valid_users||" />
<input type="hidden" name="valid_day" value="||valid_day||" />
<input type="hidden" name="valid_month" value="||valid_month||" />
<input type="hidden" name="valid_year" value="||valid_year||" />
<input type="hidden" name="attach_id" value="||attach_id||" />
<input type="hidden" name="answered" value="||answered||" />
<input type="hidden" name="to" value="||html_text||to||" />
<input type="hidden" name="cc" value="||html_text||cc||" />
<input type="hidden" name="bcc" value="||html_text||bcc||" />
<input type="hidden" name="subject" value="||html_text||subject||" />
<input type="hidden" name="reply" value="||html_text||reply||" />
<input type="hidden" name="force_connection" value="true" />
<input type="hidden" name="redirect" value="||redirect||" />
<input type="hidden" name="from" value="||html_text||from||" />
<input type="hidden" name="myuidl" value="||myuidl||" />
<input type="hidden" name="folder" value="||folder||" />
<input type="hidden" name="not_new" value="||not_new||" />
<input type="hidden" name="confirm" value="||confirm||" />
<input type="hidden" name="isbulletin" value="||isbulletin||" />
<input type="hidden" name="xmessage" value="" />
<input type="hidden" name="priority" value="||priority||" />
<input type="hidden" name="copyself" value="||copyself||" />
<input type="hidden" name="content_type" value="||content_type||" />
<input type="hidden" name="msg_alternative" value="||msg_alternative||" />
<input type="hidden" name="utoken" value="||utoken||" /> 
<input type="hidden" name="cmd" value="" /> 
<input type="hidden" name="misspelt_line" value="" />
<input type="hidden" name="misspelt_word" value="" />
<input type="hidden" name="word_number" value="" />
<input type="hidden" name="corrected_word" value="" />
<input type="hidden" name="message" value="||html_line||message||" />
<input type="hidden" name="wys_message" value="||wysiwyg||message||" />

<table>
<tr>
	<td>
		<p>There were <b>||nwrong||</b> words not in my dictionary
		out of a total of <b>||nwords||</b> words</p>
		<p><input type="button" onclick="doDone();" value="Done" /></p>
		<p><input type="button" onclick="display_dictionary();" value="Edit Dictionary" /></p>
	</td>
</tr>
</table>
</form>
<script type="text/javascript">
<!--- hide script from old browsers
function dele()
{
	var i = 0, j;
  
	for (j=0; j<4; j++)
		if (document.sendform.oo[j].checked == true) i = j;  

	if (i==0)
		document.sendform.to.value = "";
	if (i==1)
		document.sendform.cc.value = "";
	if (i==2)
		document.sendform.bcc.value = "";
	if (i==3)
		document.sendform.reply.value = "";
	document.sendform.tolist.options[0].selected = true;
}

function setto(sel) 
{
	var option;
	var i;
	for (i=0; i<sel.options.length; i++) {
		if (sel.options[i].selected==true) {
			if (document.sendform.oo[0].checked == true) {
				if (document.sendform.to.value != "")
					document.sendform.to.value = ", " + document.sendform.to.value;
				document.sendform.to.value = sel.options[i].value + document.sendform.to.value;
			}
			if (document.sendform.oo[1].checked == true) {
				if (document.sendform.cc.value != "")
					document.sendform.cc.value = ", " + document.sendform.cc.value;
				document.sendform.cc.value = sel.options[i].value + document.sendform.cc.value;
			}
			if (document.sendform.oo[2].checked == true) {
				if (document.sendform.bcc.value != "")
					document.sendform.bcc.value = ", " + document.sendform.bcc.value;
				document.sendform.bcc.value = sel.options[i].value + document.sendform.bcc.value;
			}
			if (document.sendform.oo[3].checked == true) {
				if (document.sendform.reply.value != "")
					document.sendform.reply.value = ", " + document.sendform.reply.value;
				document.sendform.reply.value = sel.options[i].value + document.sendform.reply.value;
			}
		}
	}
	if (sel.options[0].selected==true) {
		dele();
	}
}
// end hiding from old browsers -->
</script>
</body>
</html>